#include <bits/stdc++.h>
using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int ukupno, dovoljno;
    cin >> ukupno >> dovoljno;
    short rez[6];
    if(dovoljno * 3 > ukupno){
        cout << -1;
        return 0;
    }
    rez[0] = dovoljno;
    rez[1] = 0;
    rez[2] = dovoljno;
    rez[3] = 0;
    rez[4] = dovoljno;
    rez[5] = 0;
    if(ukupno % 2 == 1){
        rez[3] = 1;
    }
    ukupno -= dovoljno * 3;
    rez[1] = min(ukupno, dovoljno - 2);
    ukupno -= min(ukupno, dovoljno - 2);
    if(ukupno > 0){
        rez[0] += ukupno / 2;
        rez[1] += ukupno / 2;
    }
    cout << rez[0] << " " << rez[1] << endl;
    cout << rez[2] << " " << rez[3] << endl;
    cout << rez[4] << " " << rez[5] << endl;
    return 0;
}